.wrapper {
    display: grid;
    width: 100%;
    height: 100%;
    grid-template-rows: 25% 25% auto;
}

.webpage {
    grid-column: span 2;
    margin-left: 10%;
    margin-right: 10%;
    margin-top: 2%;
    margin-bottom: 2%;
    padding: 2%;
    box-sizing: border-box;
    box-shadow: 2px 2px 9px 3px rgb(141, 144, 139);
}

.heading {
    grid-column: span 12;
    display: flex;
    align-items: center;
    padding: 1%;
    width: 100%;
    justify-content: space-around;
    border-bottom: 1px solid rgb(141, 144, 139);
}

.heading-contents {
    grid-column: span 4;
    align-items: center;
    margin-left: 1%;
    margin-right: 1%;
}

.news-heading {
    font-size: 3em;
    font-family: sans-serif;
    font-weight: 100;
}

.heading-logo {
    width: 50px;
    height: 50px;
}

.navigation-bar {
    grid-column: span 12;
    display: flex;
    align-items: center;
    padding: 2%;
}

.links {
    display: flex;
    color: black;
    justify-content: space-around;
    width: 100%;
    text-decoration: none;
}

.links:hover {
    text-decoration: underline;
    color: black;
}

.image-and-latest-news-section {
    display: grid;
    grid-template-columns: 50% 50%;
    align-items: center;
    justify-content: space-around;
    padding: 1%;
    margin-top: 2%;
    width: 100%;
    border-bottom: 1px solid rgb(141, 144, 139);
}

.news-over-image {
    position: relative;
    font-family: Arial;
    width: 100%;
    float: left;
    height: 370px;
}

.text-block {
    position: absolute;
    bottom: 0%;
    padding: 1%;
    overflow-y: hidden;
    width: 100%;
    height: 100px;
    line-height: 17px;
    background-color: rgba(0, 0, 0, 0.5);
    color: #f1f1f1;
    opacity: 1;
    box-sizing: border-box;
    filter: alpha(opacity=100);
}

.top-news-with-background-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    position: relative;
}

.top-news-row-containing-image-and-latest-news {
    display: flex;
    align-items: center;
    padding: 1%;
}

.top-news-list-side-heading {
    display: flex;
    font-weight: 300;
    justify-content: space-between;
    color: grey;
    border-bottom: 1px solid rgb(141, 144, 139);
    line-height: 24px;
    font-size: 16px;
}

.more-items {
    text-decoration: none;
    color: grey;
}

ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.top-news-list {
    height: 370px;
    overflow: auto;
}

.top-news-content {
    line-height: 19px;
    padding: 1em 0;
    color: grey;
    border-bottom: 1px solid rgb(141, 144, 139);
}

.top-news-content::before {
    content: ">>  ";
}

.top-news-content a {
    text-decoration: none;
    color: grey;
}

.table-and-weather-image-section {
    border-bottom: 1px solid rgb(141, 144, 139);
    display: grid;
    grid-template-columns: 50% 50%;
    align-items: center;
    justify-content: space-around;
    padding: 1%;
    margin-top: 2%;
    width: 100%;
}

.top-news-row-containing-table-and-weather-info {
    display: flex;
    align-items: center;
}

.top-news-table-section {
    display: flex;
    width: 97%;
}

.top-news-table {
    height: 370px;
    width: 100%;
    font-family: arial, sans-serif;
    border-collapse: collapse;
}

th {
    background-color: #9AA6B1;
}

td,
th {
    border: 1px solid #dddddd;
    /*text-align: left;
	  padding: 5px;*/
}

tr:nth-child(odd) {
    background-color: #dddddd;
}

.footer {
    grid-column: span 12;
    display: flex;
    justify-content: space-around;
    align-items: center;
    border-bottom: 1px solid rgb(141, 144, 139);
}

a {
    text-decoration: none;
    color: black;
}

.top-news-weather-info {
    display: grid;
    grid-column: span 6;
    grid-template-rows: 20% 30% 20% 30%;
    width: 100%;
    height: 370px;
}

.top-news-list-section {
    grid-column: span 1;
}

.weather-first-and-third-row {
    flex-wrap: wrap;
    justify-content: space-around;
    display: flex;
    width: 100%;
    align-items: center;
}

.weather-fourth-row {
    flex-wrap: wrap;
    display: flex;
    height: 100px;
    justify-content: space-around;
}

.days {
    display: inline-block;
    max-width: 20%;
    height: 10%;
    padding-left: 3%;
    padding-right: 3%;
}

.multipleweather {
    display: inline-block;
    max-width: 15%;
    padding-top: 1%;
    padding-bottom: 1%;
    padding-left: 1%;
    padding-right: 1%;
}

.last-row {
    padding: 1%;
    margin: 1%;
    border-bottom: 1px solid rgb(141, 144, 139);
}

.last-images {
    width: 30%;
    height: 150px;
    float: left;
    padding-right: 2%;
}

span {
    font-size: 1em;
}

.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    display: block;
    transition: 0.3s;
}

.sidenav a:hover {
    color: #f1f1f1;
}

.sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
}

.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: #111;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
}

#main {
    display: none;
}

@media only screen and (max-width: 800px) {
    .wrapper {
        display: grid;
        width: 100%;
        height: 100%;
        grid-template-rows: 25% auto;
    }
    .webpage {
        grid-column: span 12;
        margin-top: 2%;
        margin-bottom: 2%;
        margin-left: 0;
        margin-right: 0;
        padding: 2%;
    }
    .sidenav {
        padding-top: 15px;
        font-family: sans-serif;
        padding-bottom: 2px;
        color: white;
    }
    .sidenav a {
        font-size: 12px;
        color: white;
        font-family: sans-serif;
        padding-bottom: 2px;
    }
    .menu-icon {
        display: flex;
        font-size: 30px;
        cursor: pointer;
    }
    #main {
        display: block;
        transition: margin-left .5s;
        padding: 16px;
    }
    .navigation-bar {
        display: none;
        grid-column: span 12;
        align-items: center;
        padding: 2%;
    }
    .image-and-latest-news-section {
        display: block;
        align-items: center;
        justify-content: space-around;
        padding: 1%;
        margin-top: 2%;
        width: 100%;
        border-bottom: 1px solid rgb(141, 144, 139);
    }
    .table-and-weather-image-section {
        border-bottom: 1px solid rgb(141, 144, 139);
        display: block;
        align-items: center;
        justify-content: space-around;
        padding: 1%;
        margin-top: 2%;
        width: 100%;
    }
    .heading-contents {
        grid-column: span 4;
        align-items: center;
        margin-left: 1%;
        margin-right: 1%;
        font-size: 0.5em;
    }
}